<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<div class="breakdown marg-bottom-20">
<c:if test="${not empty bookingComponent.pricingDetails}">
                <c:set var="flightExtras" value="${bookingComponent.pricingDetails['FLIGHT_EXTRAS_PRICE_COMPONENT']}" />
				 
<p class="title">Flight &amp; Luggage</p>
								 <c:if test="${not empty flightExtras}">
			
										<ul class="grey-med">
									<c:forEach var="flightExtra" items="${flightExtras}">
                                <li>
                                
                                <c:out
                                            value="${flightExtra.itemDescription}" /> <c:if
                                            test="${flightExtra.quantity ne null && flightExtra.quantity > 0}">x<c:out
                                                value="${flightExtra.quantity}" />
                                        </c:if><span> <c:choose>
                                            <c:when test="${flightExtra.amount.amount > 0}">
                                            &euro;<fmt:formatNumber value="${flightExtra.amount.amount}" type="number"
                                            maxFractionDigits="2" minFractionDigits="2"
                                            pattern="#####.##" />
                                            </c:when>
                                            <c:otherwise>
											<c:if test="${flightExtra.additionalPriceInfo eq 'included'}">
									   	         <c:out value="Included" />
                                            </c:if>
                                            </c:otherwise>
                                        </c:choose>
                                </span>
                               
                                </li>
                          </c:forEach>
										</ul>	
					</c:if>
			 </c:if>
									</div>
									
									